@echo off

setlocal

rem ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
rem
rem ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

set REL32=".\pdcmse.dll"
set REL64=".\pdcmse64.dll"
set PROG=regsvr32.exe
set PARAM=/s

rem ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
rem
rem ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

if /i "%PROCESSOR_ARCHITECTURE%" EQU "x86" (
  goto WIN32
) else (
  goto WIN64
)

rem ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
rem
rem ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

:WIN32
echo.

rem ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
rem Release|Win32
rem ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

echo Release^|Win32

if exist %REL32% (
  echo Register file %REL32%...
  %PROG% %REL32% %PARAM%
  echo ERRORLEVEL: %ERRORLEVEL%
) else (
  echo File %REL32% not found.
)

goto FINISH

rem ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
rem
rem ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

:WIN64
echo.

rem ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
rem Release|x64
rem ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

echo Release^|x64

if exist %REL64% (
  echo Register file %REL64%...
  %PROG% %REL64% %PARAM%
  echo ERRORLEVEL: %ERRORLEVEL%
) else (
  echo File %REL64% not found.
)

goto FINISH

rem ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~
rem
rem ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~

:FINISH

echo.
set ERRORLEVEL=0
if /i "%1" NEQ "-go" pause 

endlocal 

rem ~EOF~
